Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.binding.library
Class LibraryManagerImpl

    java.lang.Object
      org.apache.cocoon.forms.binding.library.LibraryManagerImpl

All Implemented Interfaces:
  LibraryManager

public class LibraryManagerImpl
extends Object
implements LibraryManager

Version:
  $Id: LibraryManagerImpl.java 594527 2007-11-13 13:20:51Z felixk $

Field Summary
`protected static String` | `PREFIX`

Fields inherited from interface org.apache.cocoon.forms.binding.library.LibraryManager
`ROLE`

Constructor Summary
`LibraryManagerImpl()`

Method Summary
`void` | `debug(String msg)`
`Library` | `get(String sourceURI)` Get the cached instance of the library loaded from the specified source URI.
`Library` | `get(String sourceURI, String baseURI)` Get the cached instance of the library loaded from the specified source URI, resolved relative to the base URI.
`Library` | `load(String sourceURI)` Loads (and caches) a library from specified source URI.
`Library` | `load(String sourceURI, String baseURI)` Loads (and caches) a library from specified source URI, resolved relative to the base URI.
`Library` | `newLibrary()` Create new instance of the `Library`.
`void` | `setBindingManager(JXPathBindingManager bindingManager)`
`void` | `setCacheManager(CacheManager cacheManager)`
`void` | `setParser(org.apache.cocoon.core.xml.SAXParser parser)`
`void` | `setSourceResolver(SourceResolver sourceResolver)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFIX

    protected static final String PREFIX

See Also:
  Constant Field Values

Constructor Detail

### LibraryManagerImpl

    public LibraryManagerImpl()

Method Detail

### setBindingManager

    public void setBindingManager(JXPathBindingManager bindingManager)

### get

    public Library get(String sourceURI)
                throws LibraryException

  Description copied from interface: `LibraryManager`
  Get the cached instance of the library loaded from the specified source URI.

  Specified by:
    `get` in interface `LibraryManager`
  Parameters:
    `sourceURI` - URI of the library source.
  Returns:
    Cached instance of the library, or null if it was not loaded.
  Throws:
    `LibraryException`

### get

    public Library get(String sourceURI,
                       String baseURI)
                throws LibraryException

  Description copied from interface: `LibraryManager`
  Get the cached instance of the library loaded from the specified source URI, resolved relative to the base URI.

  Specified by:
    `get` in interface `LibraryManager`
  Parameters:
    `sourceURI` - Relative URI of the library source.
    `baseURI` - Base URI of the library source.
  Returns:
    Cached instance of the library, or null if it was not loaded.
  Throws:
    `LibraryException`

### load

    public Library load(String sourceURI)
                 throws LibraryException

  Description copied from interface: `LibraryManager`
  Loads (and caches) a library from specified source URI.

  Specified by:
    `load` in interface `LibraryManager`
  Parameters:
    `sourceURI` - URI of the library source.
  Returns:
    Library loaded from the source URI.
  Throws:
    `LibraryException`

### load

    public Library load(String sourceURI,
                        String baseURI)
                 throws LibraryException

  Description copied from interface: `LibraryManager`
  Loads (and caches) a library from specified source URI, resolved relative to the base URI.

  Specified by:
    `load` in interface `LibraryManager`
  Parameters:
    `sourceURI` - Relative URI of the library source.
    `baseURI` - Base URI of the library source.
  Returns:
    Library loaded from the source URI.
  Throws:
    `LibraryException`

### newLibrary

    public Library newLibrary()

  Description copied from interface: `LibraryManager`
  Create new instance of the `Library`.

  Specified by:
    `newLibrary` in interface `LibraryManager`
  Returns:
    new library instance

### debug

    public void debug(String msg)

### setCacheManager

    public void setCacheManager(CacheManager cacheManager)

### setSourceResolver

    public void setSourceResolver(SourceResolver sourceResolver)

### setParser

    public void setParser(org.apache.cocoon.core.xml.SAXParser parser)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.